### Method

# Gio FileOutputStream get_etag

#### Declaration

    char*
    g_file_output_stream_get_etag (
      GFileOutputStream* stream
    )

#### Description

Gets the entity tag for the file when it has been written. This must be called after the stream has been written and closed, as the etag can change while writing.

#### Return value

Type: `char*`

The entity tag for the stream.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.